

swagger: "2.0"
info:
  description: "Attendance API."
  version: 1.0.0
  title: SS6 Attendance API
  termsOfService: "http://transformore.net"
  contact:
    email: ss6@ppa.co.id
host: localhost:3000
schemes:
  - http
paths:
  "/api/v1/atr/individu":
    post:
      tags:
        - ATR Individu
      summary: Find Data ATR Individu
      description: Returns Individu ATR
      operationId: atrIndividu
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: "#/components/schemas/atrIndividu"
            encoding:
              payload:
        required: true
      responses:
        '200':
          description: OK
          schema:
            $ref: "#/components/schemas/atrIndividu"
      security:
        - api_key: []

components:
  schemas:
    atrIndividu:
      required:
        - start_date
        - end_date
      type: object
      properties:
        start_date:
          type: date
          example: 2023-01-01
          description: start date must less then end date
        end_date:
          type: date
          example: 2023-01-12
          description: end date must more then start date
        perusahaan:
          type: string
          description: Id Perusahaan Contoh P01 
        departemen: 
          type: string
          description: kode departement contoh ENG
